Install The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

The 1.7.10 Pack Version 0.9.8c

created by Hi it's me on Minecraft Version 1.7.10 using Technic Solder
You must be logged in to comment. Click here to register a new account or log in.
Could a Tinker's construct submod be added to this? I can't remember what it is called but it allows the swapping out of tool heads for ones of better material, such as stone to iron for example. I will fully admit I may be missing something and there is already such a function. Have a wonderful day
DirtDrgn 3 days ago
New 24/7 server - No banned items! lootcraft.24-7.ro
newtechwiz 4 days ago
Hey im on a server and when ever i try to craft the golemancers bell (Thaumcraft) it crashes client side. Is there anything i can do or should i spawn it in?
Biggus_Dickusss 1 week ago
Spawn it in.
Posted by Hi it's me 1 week ago | Modpack Creator
Hi everybody. I have a question, im using this modpack and im using thaumcraft, somebody knows why i cant open the focus window when i press F ? Thank you for the help :)
Direfull 1 week ago
Im playing in a server by aternos
Posted by Direfull 1 week ago
You might have to change the controls menu to avoid conflicts.
Posted by Hi it's me 1 week ago | Modpack Creator
if possible could you add Archimedes airships to this mod pack
Jack_McCorrmack 1 week ago
Have you ever considered putting the aether in this?
MemeLordMango 1 week ago
+rep
Posted by OG_Israphel 1 day ago
mine is still crashing on single player and when i try and join my server
totfc 1 week ago
Please go to the "Help" section to get help!
Posted by Hi it's me 1 week ago | Modpack Creator
Would Equivalent Exchange ever be considered as a mod for this pack? It fits well with the tech side and i think it would be a welcome addition.
TM_06 1 week ago
when I load any world or try to create one it crashes only happened when I updated to 0.9.8c
antwo234 1 week ago
Please go to the "Help" section to get help!
Posted by Hi it's me 1 week ago | Modpack Creator
i own a server and when i click on my server to join it loads for 5 seconds and then crashes and closes the game. everything is updated but this is still happening. whats going on with it
totfc 1 week ago
Please go to the "Help" section to get help!
Posted by Hi it's me 1 week ago | Modpack Creator
@hi its me, its still doing the same thing. i cant join single player or my server. everything is up to date. what is going on?!
Posted by totfc 1 week ago
Can we have morphieus where we can fly with bats?
PokenKind 1 week ago
Same, got the same problem with most other people on http://solder.endermedia.com/repository/mods//wr-cbe/wr-cbe-1.4.1.11.zip
_JTYJ_ 2 weeks ago
We're working on this issue, and will post status updates when it gets resolved. Thank you for your patience!
Posted by Hi it's me 2 weeks ago | Modpack Creator
alright thanks man, really looking forward to this pack
Posted by _JTYJ_ 2 weeks ago
cant download the pack keep getting http://solder.endermedia.com/repository/mods//wr-cbe/wr-cbe-1.4.1.11.zip
hellders99 2 weeks ago
Tried to update to version 0.9.8b. But every time i get "Failed to download http://solder.endermedia.com/repository/mods/guide-api/guide-api-1.0.1-20.zip" Any way to fix this?
Hate_of_the_Aztec 2 weeks ago
I can't download the mod pack, it says it failed to download wr-cbe-1.4.1.11, I've tried running other versions of the pack but none seem to work so far.
pegasus3265 2 weeks ago
so im having trouble downloading the 1.7.10 pack because some mod called wr-cbe is not downloading and i was wondering how to fix it
wickedland 2 weeks ago
I just gotta ask, is there a particular reason draconic evolution isn't in this pack? Do you just not like it or are there compatibility issues?
joalars 2 weeks ago
Didn't really fit the old-fashioned style of the pack, but feel free to add it in manually!
Posted by Hi it's me 2 weeks ago | Modpack Creator
so i was trying to use flans mod panzer IV and pak 40 but i can seem to find the shells or ammo for it? any help
lmaoitsperry 2 weeks ago
whats the best texture pack to run with this
Ewanws 2 weeks ago
I crafted the Golemancy bell for thaumcraft while on a server and it crashed my client and I cant connect to the server anymore while other people are still able to, help?
Sexypelican 2 weeks ago

Latest Update

If you suffered from crashing after updating to v0.9.8c, please reinstall the modpack now as this will revert the LumySkinPatch mod to its older version. That should fix your issue!